Software Requirements for logi.CAD/logi.DOC

Supported Operating Systems

The following operating systems are supported:

  Windows 10  Windows 8.1   Windows 7 Professional/Ultimate
(32 bit/64 bit) 
 Windows XP Professional
(service pack 3 at least) 
Version 5.8 yes yes yes
Version 5.7 yes yes yes
Version 5.6 yes yes
Version 5.5  yes yes

 

Moreover, an error-free and reliable operation requires:

  • the most recent service packs and security updates (available via "Windows Update")
  • Microsoft® .NET Framework 2.0 (with service pack 1 at least) or higher (e.g. 3.5) incl. German language package as well as Microsoft® .NET Framework 4.0 (full package) incl. German language package
The software requirements for version 5.5 apply to logi.CED, logi.DICT and logi.VIS as well.
Moreover, you require a database driver for logi.DICT. logi.DICT will install the required components, if the database drivers are not existing.

Hardware Requirements for all Products

The same hardware requirements are valid as for operating system Windows, such as:

  • Pentium IV processor, 1 GHz; recommended: Pentium Core2Duo/AMD X2
  • Memory: 1 GB RAM; recommended: 2 GB RAM
  • Monitor: XGA (1024 by 768 / 65536 Colors / 16 Bit); recommended: 1280 by 1024 / True Color
  • CD-ROM drive
  • Microsoft mouse or similar input device

Note: The above details are examples.
Please see windows.microsoft.com for up-to-date system requirements for Windows. For example, the Windows 7 system requirements are specified under: windows.microsoft.com/en-us/windows7/products/system-requirements

Hard disk space

Product Space
logi.CAD 600 MB at least
logi.DOC 600 MB at least
logi.CED 60 MB at least
logi.DICT 30 MB at least
logi.VIS 30 MB at least

Licensing Method for all Products

Choose the licensing method conform to your requirements:

  • Dongle (Hardlock or CodeMeter)
  • Softlock